Skip to main content
POST
/
offers
curl --request POST \ --url https://sandbox.cashfree.com/pg/offers \ --header 'Content-Type: application/json' \ --header 'x-api-version: <x-api-version>' \ --header 'x-client-id: <api-key>' \ --header 'x-client-secret: <api-key>' \ --data ' { "offer_meta": { "offer_title": "Test Offer", "offer_description": "Offer Description", "offer_code": "CFTESTOFFER", "offer_start_time": "2023-03-21T08:09:51Z", "offer_end_time": "2024-03-21T08:09:51Z" }, "offer_tnc": { "offer_tnc_type": "text", "offer_tnc_value": "Terms and Condition of the Offer" }, "offer_details": { "offer_type": "DISCOUNT_AND_CASHBACK", "discount_details": { "discount_type": "flat", "discount_value": "10", "max_discount_amount": "10" }, "cashback_details": { "cashback_type": "percentage", "cashback_value": "10", "max_cashback_amount": "10" } }, "offer_validations": { "min_amount": 15, "max_allowed": 100, "payment_method": { "card": { "type": [ "cc" ], "bank_name": "hdfc bank", "scheme_name": [ "visa" ] } } } } '
{
  "offer_id": "d2b430fb-1afe-455a-af31-66d00377b29a",
  "offer_status": "active",
  "offer_meta": {
    "offer_title": "some title",
    "offer_description": "some offer description",
    "offer_code": "CFTESTOFFER",
    "offer_start_time": "2023-03-21T08:09:51Z",
    "offer_end_time": "2023-03-29T08:09:51Z",
    "$ref": "#/components/schemas/OfferMeta/example"
  },
  "offer_tnc": {
    "offer_tnc_type": "text",
    "offer_tnc_value": "TnC for the Offer.",
    "$ref": "#/components/schemas/OfferTnc/example"
  },
  "offer_details": {
    "offer_type": "DISCOUNT_AND_CASHBACK",
    "discount_details": {
      "discount_type": "flat",
      "discount_value": "10",
      "max_discount_amount": "10"
    },
    "cashback_details": {
      "cashback_type": "percentage",
      "cashback_value": "20",
      "max_cashback_amount": "150"
    },
    "$ref": "#/components/schemas/OfferDetails/example"
  },
  "offer_validations": {
    "min_amount": 10,
    "payment_method": {
      "wallet": {
        "issuer": "paytm"
      }
    },
    "max_allowed": 2,
    "$ref": "#/components/schemas/OfferValidations/example"
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-api-version
string
default:2023-08-01
required

API version to be used

x-request-id
string

Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request body to create an offer at Cashfree

create offer backend request object

offer_meta
OfferMeta · object
required

Offer meta details object

Example:
{
  "offer_title": "some title",
  "offer_description": "some offer description",
  "offer_code": "CFTESTOFFER",
  "offer_start_time": "2023-03-21T08:09:51Z",
  "offer_end_time": "2023-03-29T08:09:51Z",
  "$ref": "#/components/schemas/OfferMeta/example"
}
offer_tnc
OfferMeta · object
required

Offer terms and condition object

Example:
{
  "offer_tnc_type": "text",
  "offer_tnc_value": "TnC for the Offer.",
  "$ref": "#/components/schemas/OfferTnc/example"
}
offer_details
OfferDetails · object
required

Offer details and type

Example:
{
  "offer_type": "DISCOUNT_AND_CASHBACK",
  "discount_details": {
    "discount_type": "flat",
    "discount_value": "10",
    "max_discount_amount": "10"
  },
  "cashback_details": {
    "cashback_type": "percentage",
    "cashback_value": "20",
    "max_cashback_amount": "150"
  },
  "$ref": "#/components/schemas/OfferDetails/example"
}
offer_validations
OfferValidations · object
required

Offer validation object

Example:
{
  "min_amount": 10,
  "payment_method": { "wallet": { "issuer": "paytm" } },
  "max_allowed": 2,
  "$ref": "#/components/schemas/OfferValidations/example"
}

Response

OK

Offer entity object

offer_id
string
Example:

"d2b430fb-1afe-455a-af31-66d00377b29a"

offer_status
string
Example:

"active"

offer_meta
OfferMeta · object

Offer meta details object

Example:
{
  "offer_title": "some title",
  "offer_description": "some offer description",
  "offer_code": "CFTESTOFFER",
  "offer_start_time": "2023-03-21T08:09:51Z",
  "offer_end_time": "2023-03-29T08:09:51Z",
  "$ref": "#/components/schemas/OfferMeta/example"
}
offer_tnc
OfferMeta · object

Offer terms and condition object

Example:
{
  "offer_tnc_type": "text",
  "offer_tnc_value": "TnC for the Offer.",
  "$ref": "#/components/schemas/OfferTnc/example"
}
offer_details
OfferDetails · object

Offer details and type

Example:
{
  "offer_type": "DISCOUNT_AND_CASHBACK",
  "discount_details": {
    "discount_type": "flat",
    "discount_value": "10",
    "max_discount_amount": "10"
  },
  "cashback_details": {
    "cashback_type": "percentage",
    "cashback_value": "20",
    "max_cashback_amount": "150"
  },
  "$ref": "#/components/schemas/OfferDetails/example"
}
offer_validations
OfferValidations · object

Offer validation object

Example:
{
  "min_amount": 10,
  "payment_method": { "wallet": { "issuer": "paytm" } },
  "max_allowed": 2,
  "$ref": "#/components/schemas/OfferValidations/example"
}